## goocalendar 0.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GooCalendar.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GooCalendar.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/GooCalendar"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/GooCalendar"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## goocalendar 0.1

=== debian/changelog ===
goocalendar (0.1-3) unstable; urgency=medium

  * Updating year in debian copyright.
  * Removing debian/source/options, we are building with dpkg defaults.
  * Removing PYBUILD_DESTDIR_python2 from rules, it is no more needed.
  * Adding pgp verification for uscan.
  * Adding gbp.conf for usage with git-buildpackage.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 11 Mar 2014 17:12:58 +0100

goocalendar (0.1-2) unstable; urgency=low

  * Updating to standards version 3.9.5, no changes needed.
  * Pointing VCS fields to new location on alioth.debian.org.
  * Using dpkg defaults for xz compression.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 02 Dec 2013 21:14:48 +0100

goocalendar (0.1-1) unstable; urgency=low

  * Initial packaging (Closes: #721816).

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 15 Oct 2013 22:53:27 +0200

=== debian/control ===
Source: goocalendar
Section: python
Priority: optional
Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
Uploaders: Mathias Behrle <mathiasb@m9s.biz>
Build-Depends:
 debhelper (>= 9), dh-python (>= 1.20130901-1~), python (>= 2.6.6-3~),
 python-setuptools, python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/goocalendar/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tryton/goocalendar.git
Vcs-Git: git://anonscm.debian.org/tryton/goocalendar.git

Package: python-goocalendar
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}, 
 python-pygoocanvas, python-pkg-resources
Description: Calendar widget for GTK using PyGoocanvas (Python 2)
 The GooCalendar module supplies a calendar widget drawn with GooCanvas that
 can display a month view and a week view. It also supplies classes to manage
 events you can add to the calendar.
 .
 This package is targeting Python version 2.

=== debian/rules ===
#!/usr/bin/make -f

# needed for pbuilder
export LC_ALL=C.UTF-8

%:
	dh ${@} --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf $(PACKAGE_NAME).egg-info
	rm -rf PKG-INFO
	rm -rf build
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	sphinx-build doc build/html

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ opts=pgpsigurlmangle=s/$/.asc/ https://pypi.python.org/packages/source/G/GooCalendar/GooCalendar-(\d+.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## goocalendar 0.2

=== debian/changelog ===
goocalendar (0.2-1) unstable; urgency=medium

  * Adding actual upstream signing key.
  * Using pypi.debian.net redirector in watch file.
  * Wrapping and sorting control files (wrap-and-sort -bts).
  * Merging upstream version 0.2.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 30 Apr 2015 16:12:34 +0200

goocalendar (0.1-4) unstable; urgency=medium

  * Removing  LC_ALL=C.UTF-8 as build environment.
  * Removing accidently doubled option pgpsigurlmangle from watch file.
  * Updating signing key while using now plain .asc files instead of .pgp
    binaries.
  * Updating gbp.conf for the usage of the tarball compression.
  * Adding actual upstream signing key.
  * Updating to Standards-Version: 3.9.6, no changes needed.
  * Correcting spelling error in package synopsis.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 08 Oct 2014 20:44:25 +0200

=== debian/control ===
Source: goocalendar
Section: python
Priority: optional
Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
Uploaders: Mathias Behrle <mathiasb@m9s.biz>
Build-Depends:
 debhelper (>= 9),
 dh-python (>= 1.20130901-1~),
 python (>= 2.6.6-3~),
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
Standards-Version: 3.9.6
Homepage: http://code.google.com/p/goocalendar/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tryton/goocalendar.git
Vcs-Git: git://anonscm.debian.org/tryton/goocalendar.git

Package: python-goocalendar
Architecture: all
Depends:
 python-pkg-resources,
 python-pygoocanvas,
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Description: Calendar widget for GTK+ using PyGoocanvas (Python 2)
 The GooCalendar module supplies a calendar widget drawn with GooCanvas that
 can display a month view and a week view. It also supplies classes to manage
 events you can add to the calendar.
 .
 This package is targeting Python version 2.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-# needed for pbuilder
-export LC_ALL=C.UTF-8
 
 %:
 	dh ${@} --with python2,sphinxdoc --buildsystem=pybuild

## goocalendar 0.3

=== debian/changelog ===
goocalendar (0.3-2) unstable; urgency=medium

  * Change the maintainer address to tryton-debian@lists.alioth.debian.org
    (Closes: #865109).
  * Use the preferred https URL format in the copyright file.
  * Bump the Standards-Version to 4.0.1.
  * Bump the Standards-Version to 4.1.0, no changes needed.
  * Change dependency from python-goocanvas to gir1.2-goocanvas-2.0
    (Closes: #785566).
  * Bump to Standards-Version: 4.1.1, no changes needed.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 09 Oct 2017 15:22:10 +0200

goocalendar (0.3-1) unstable; urgency=medium

  * Updating signing-key.asc with the actual upstream maintainer keys.
  * Updating to Standards-Version: 3.9.8, no changes needed.
  * Merging upstream version 0.3.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 01 Dec 2016 17:36:31 +0100

goocalendar (0.2-2) unstable; urgency=medium

  * Updating year of debian copyright.
  * New home of goocalendar.
  * Adapting section naming in gbp.conf to current git-buildpackage.
  * Updating to standards version 3.9.7, no changes needed.
  * Updating VCS-Browser to https and canonical cgit URL.
  * Updating VCS-Git to https and canonical cgit URL.
  * Removing the braces from the dh call.
  * Removing the version constraint from python.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 08 Mar 2016 18:54:01 +0100

=== debian/control ===
Source: goocalendar
Section: python
Priority: optional
Maintainer: Debian Tryton Maintainers <tryton-debian@lists.alioth.debian.org>
Uploaders: Mathias Behrle <mathiasb@m9s.biz>
Build-Depends:
 debhelper (>= 9),
 dh-python (>= 1.20130901-1~),
 python,
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
Standards-Version: 4.1.1
Homepage: https://goocalendar.tryton.org/
Vcs-Browser: https://anonscm.debian.org/cgit/tryton/goocalendar.git
Vcs-Git: https://anonscm.debian.org/cgit/tryton/goocalendar.git

Package: python-goocalendar
Architecture: all
Depends:
 python-pkg-resources,
 gir1.2-goocanvas-2.0,
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Description: Calendar widget for GTK+ using PyGoocanvas (Python 2)
 The GooCalendar module supplies a calendar widget drawn with GooCanvas that
 can display a month view and a week view. It also supplies classes to manage
 events you can add to the calendar.
 .
 This package is targeting Python version 2.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh ${@} --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm -rf $(PACKAGE_NAME).egg-info

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/GooCalendar/GooCalendar-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## goocalendar 0.4

=== debian/changelog ===
goocalendar (0.4-1) unstable; urgency=medium

  * Update signing-key.asc with the minimized actual upstream maintainer
    key.
  * Merging upstream version 0.4.
  * Updating to standards version 4.2.1, no changes needed.
  * Refresh patches.
  * Add the Python3 package.
  * Use https in the watch file.
  * Install the examples.
  * Add examples and docs also to the Python3 package.
  * Add a simple autopkgtest.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 21 Nov 2018 18:26:35 +0100

goocalendar (0.3-3) unstable; urgency=medium

  * Updating to standards version 4.1.3, no changes needed.
  * control: update Vcs-Browser and Vcs-Git
  * Set the Maintainer address to team+tryton-team@tracker.debian.org.
  * Update debian copyright.
  * Add dependencies python-gi and libcanberra-gtk3-module.
  * Add 01-enable_pygtkcompat.patch (Closes: #896392).
  * Add 02-goocanvas2_compatibility.patch.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 02 May 2018 16:00:33 +0200

=== debian/control ===
Source: goocalendar
Maintainer: Debian Tryton Maintainers <team+tryton-team@tracker.debian.org>
Uploaders: Mathias Behrle <mathiasb@m9s.biz>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python (>= 1.20130901-1~),
               gir1.2-goocanvas-2.0,
               gir1.2-gtk-3.0,
               python,
               python-setuptools,
               python3,
               python3-gi-cairo,
               python3-setuptools,
               python3-sphinx (>= 1.0.7+dfsg)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/tryton-team/goocalendar
Vcs-Git: https://salsa.debian.org/tryton-team/goocalendar.git
Homepage: https://goocalendar.tryton.org/

Package: python-goocalendar
Architecture: all
Depends: gir1.2-goocanvas-2.0,
         gir1.2-gtk-3.0,
         libcanberra-gtk3-module,
         python-gi,
         python-pkg-resources,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Description: Calendar widget for GTK+ using PyGoocanvas (Python 2)
 The GooCalendar module supplies a calendar widget drawn with GooCanvas that
 can display a month view and a week view. It also supplies classes to manage
 events you can add to the calendar.
 .
 This package is targeting Python version 2.

Package: python3-goocalendar
Architecture: all
Depends: gir1.2-goocanvas-2.0,
         gir1.2-gtk-3.0,
         libcanberra-gtk3-module,
         python3-gi-cairo,
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Description: Calendar widget for GTK+ using PyGoocanvas (Python 3)
 The GooCalendar module supplies a calendar widget drawn with GooCanvas that
 can display a month view and a week view. It also supplies classes to manage
 events you can add to the calendar.
 .
 This package is targeting Python version 3.

=== debian/tests/control ===
Depends: python-goocalendar
Test-Command: cd "$ADTTMP" ; python -c "import goocalendar ; print goocalendar.__veirsion__"
Restrictions: allow-stderr

Depends: python3-goocalendar
Test-Command: cd "$ADTTMP" ; python3 -c "import goocalendar ; print(goocalendar.__version__)"
Restrictions: allow-stderr

## goocalendar 0.5

=== debian/changelog ===
goocalendar (0.5-1) unstable; urgency=medium

  * Updating to Standards-Version 4.4.0, no changes needed.
  * Merging upstream version 0.5.
  * Updating copyright file.
  * Drop the Python2 support (Closes: #936636).
  * Bump debian copyright year.
  * Remove patches, went upstream.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 30 Aug 2019 13:05:54 +0200

goocalendar (0.4-2) unstable; urgency=medium

  * Correct a typo in the autopkgtest control file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 25 Nov 2018 12:33:03 +0100

## goocalendar 0.6

=== debian/changelog ===
goocalendar (0.6-1) unstable; urgency=medium

  * Add the current signing key of the maintainer.
  * Merging upstream version 0.6.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 10 Feb 2020 11:49:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,33 +7,14 @@
                dh-python (>= 1.20130901-1~),
                gir1.2-goocanvas-2.0,
                gir1.2-gtk-3.0,
-               python,
-               python-setuptools,
                python3,
                python3-gi-cairo,
                python3-setuptools,
                python3-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/tryton-team/goocalendar
 Vcs-Git: https://salsa.debian.org/tryton-team/goocalendar.git
 Homepage: https://goocalendar.tryton.org/
-
-Package: python-goocalendar
-Architecture: all
-Depends: gir1.2-goocanvas-2.0,
-         gir1.2-gtk-3.0,
-         libcanberra-gtk3-module,
-         python-gi,
-         python-pkg-resources,
-         ${misc:Depends},
-         ${python:Depends},
-         ${sphinxdoc:Depends}
-Description: Calendar widget for GTK+ using PyGoocanvas (Python 2)
- The GooCalendar module supplies a calendar widget drawn with GooCanvas that
- can display a month view and a week view. It also supplies classes to manage
- events you can add to the calendar.
- .
- This package is targeting Python version 2.
 
 Package: python3-goocalendar
 Architecture: all

=== debian/tests/control ===
Depends: python3-goocalendar
Test-Command: cd "$ADTTMP" ; python3 -c "import goocalendar ; print(goocalendar.__version__)"
Restrictions: allow-stderr

## goocalendar 0.7.1

=== debian/changelog ===
goocalendar (0.7.1-1) unstable; urgency=medium

  * Merging upstream version 0.7.1.
  * Updating copyright file.
  * Mark the autopkgtest as superficial (Closes: #974460).
  * Updating to standards version 4.5.1, no changes needed.
  * Use debhelper compat 12.
  * Set Rules-Requires-Root: no.
  * Replace ADTTMP with AUTOPKGTEST_TMP.
  * Merge duplicate Restriction line in tests/control.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 20 Dec 2020 13:19:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python (>= 1.20130901-1~),
                gir1.2-goocanvas-2.0,
                gir1.2-gtk-3.0,
@@ -11,7 +11,8 @@
                python3-gi-cairo,
                python3-setuptools,
                python3-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tryton-team/goocalendar
 Vcs-Git: https://salsa.debian.org/tryton-team/goocalendar.git
 Homepage: https://goocalendar.tryton.org/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := goocalendar

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf $(PACKAGE_NAME).egg-info
	rm -rf PKG-INFO
	rm -rf build
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	sphinx-build doc build/html

## goocalendar 0.7.2

=== debian/changelog ===
goocalendar (0.7.2-1) unstable; urgency=medium

  * Merging upstream version 0.7.2.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 20 Oct 2021 13:06:54 +0200

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/GooCalendar/GooCalendar-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## goocalendar 0.8.0

=== debian/changelog ===
goocalendar (0.8.0-2) unstable; urgency=medium

  * Bump the Standards-Version to 4.7.0, no changes needed.
  * Remove legacy python3-pkg-resources from Depends (Closes: #1083740).

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 17 Jan 2025 17:08:06 +0100

goocalendar (0.8.0-1) unstable; urgency=medium

  * Add a salsa-ci.yml
  * Bump debhelper from old 12 to 13.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Repository.
  * Update standards version to 4.6.1, no changes needed.
  * Update watch file format version to 4.
  * Update the package URLS to https and the new mono repos location.
  * Bump the Standards-Version to 4.6.2, no changes needed.
  * Do not take into account python package metadata when building twice
    (Closes: #1044826).
  * Update the watch file
  * Merging upstream version 0.8.0.
  * Updating copyright file.
  * Update year of debian copyright.
  * Remove the no more used gnupg signing key.
  * Update the Homepage field in d/control.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 03 Jul 2024 09:44:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python (>= 1.20130901-1~),
                gir1.2-goocanvas-2.0,
                gir1.2-gtk-3.0,
@@ -11,11 +11,11 @@
                python3-gi-cairo,
                python3-setuptools,
                python3-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tryton-team/goocalendar
 Vcs-Git: https://salsa.debian.org/tryton-team/goocalendar.git
-Homepage: https://goocalendar.tryton.org/
+Homepage: https://code.tryton.org/goocalendar
 
 Package: python3-goocalendar
 Architecture: all
@@ -23,7 +23,6 @@
          gir1.2-gtk-3.0,
          libcanberra-gtk3-module,
          python3-gi-cairo,
-         python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}

=== debian/tests/control ===
Depends: python3-goocalendar
Restrictions: superficial, allow-stderr
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import goocalendar ; print(goocalendar.__version__)"

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpmode=none https://pypi.debian.net/GooCalendar/GooCalendar-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
